Skip to main content
GET
Get All Transactions associated to the subscription/account

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Query Parameters

autobillId
string

The SLM ID of the Subscription.

accountId
string

The Account ID of the SLM account.

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

order
string
default:asc

Order the List in Ascending asc or Descending desc order.

include_children
boolean
default:false

Indicates whether or not to return any existing child accounts’ transactions for a given returned Subscription/account combination.

source_payment_method
string

Limit the transaction list to a specified PaymentMethod type.

Response

OK

A list of Transaction.

object
enum<string>
Available options:
List
total_count
integer

Integer count of the total number of Transaction objects.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.